Xcode 12.0.1 - Framework not found CometChatPro

Hi,
Getting below error on Xcode 12.0.1 even tried with different version 2.1.1 and 2.1.2

Has anyone run into the same problem?

Thanks in advance!

Hi @harshalwani,

It seems that you have not added CometChatPro in your podspec file for your target NotificationServiceConnect. Please add the CometChat SDK pod inside your NotificationServiceConnect. For example, your pod file should contain something like this.

target 'mynotificationExtension' do
pod 'CometChatPro', '2.1.1'
end

This should resolve the issue faced by you. Let me know if you face any other issue. We will be happy to assist you.

Regards,
Jeet Kapadia

It’s already added to NotificationServiceConnect. But still facing the same issue.

Hello Harshal,

Can you try by updating SDK version to 2.1.2. After updating to the latest version please clear derived data and then try to build the project. This should resolve your issue.

Hi Pushpsen,

Tried with all below options

  • Change SDK v 2.1.2 or 2.1.1
  • Clear derived data
  • Restart XCode/Mac
  • Disintegrate pod and install
  • Remove UAT/Prod schema etc…

But still facing the same issue :frowning_face:
Other pods working fine except CometChatPro.

Do you have any solution?

Thanks

Hi @harshalwani

We didn’t find any issue while integrating the SDK. We have created a sample for you. You can download the sample app and please let us know if you still have any issue

https://bit.ly/3kiphn5

Thanks
Nishant